ERROR ITMS-90207 package no válido

Estoy teniendo problemas al upload a la aplicación de la tienda una aplicación con este marco.

ERROR ITMS-90207 "Paquete no válido. El package en … / TesseractOCR.framework 'no contiene un package ejecutable.

En mi Xcodeproj tengo otro proyecto dentro, incluyo el marco en dependencies, bibliotecas enlazadas y Copiar files.

¿Sabes algo sobre este tema?

Muchas gracias , Nahuel.

Estaba teniendo el mismo problema. Reparé el problema siguiendo este process:

En su file info.plist , bajo la key Archivo ejecutable , agregue el valor $(EXECUTABLE_NAME) .

Resolví esto cambiando Mach-O Type a Dynamic Library en Build Settings. Xcode no estaba generando un file ejecutable.

Lo solucioné desactivando Bitcode. (debajo de dos hay configuraciones relacionadas)

  1. Configuración de compilation> Opciones de compilation> Habilitar código de bits: NO
  2. Desmarque "Incluir código de bits" al cargar la aplicación en Itunes Connect (después de archivar)